Cisco IOS XE Software for ASR 1000 Series 20 Gbps Embedded Services Processor IP ARP DoS (cisco-sa-esp20-arp-dos-GvHVggqJ)

Medium Nessus Plugin ID 142366

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 4.4

Synopsis

The remote device is missing a vendor-supplied security patch.

Description

According to its self-reported version and configuration, the Cisco IOS XE Software for Cisco ASR 1000 Series Aggregation Services Routers with a 20-Gbps Embedded Services Processor (ESP) running on the remote device is affected by a denial of service vulnerability. An unauthenticated, adjacent attacker can exploit this by sending a malicious series of IP ARP messages to an affected device to exhaust system resources, which would eventually cause the affected device to reload.

Please see the included Cisco BIDs andCisco Security Advisory for more information.

Solution

Upgrade to the relevant fixed version referenced in Cisco bug IDs CSCva53392, CSCvu04413

See Also

http://www.nessus.org/u?9f0f71d2

http://tools.cisco.com/security/center/viewErp.x?alertId=ERP-74268

Plugin Details

Severity: Medium

ID: 142366

File Name: cisco-sa-esp20-arp-dos-GvHVggqJ-iosxe.nasl

Version: 1.6

Type: combined

Family: CISCO

Published: 2020/11/03

Updated: 2021/01/08

Dependencies: 67217

Configuration: Enable paranoid mode

Risk Information

Risk Factor: Medium

VPR Score: 4.4

CVSS Score Source: CVE-2020-3508

CVSS v2.0

Base Score: 6.1

Temporal Score: 4.5

Vector: CVSS2#AV:A/AC:L/Au:N/C:N/I:N/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 7.4

Temporal Score: 6.4

Vector: CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:C/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:cisco:ios_xe

Required KB Items: Host/Cisco/IOS-XE/Version, Host/Cisco/IOS-XE/Model, Settings/ParanoidReport

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/09/24

Vulnerability Publication Date: 2020/09/24

Reference Information

CVE: CVE-2020-3508

CISCO-BUG-ID: CSCva53392, CSCvu04413

CISCO-SA: cisco-sa-esp20-arp-dos-GvHVggqJ

IAVA: 2020-A-0439

CWE: 400